Reference

REST API

Everything the admin page does goes through a JSON API on the controller, at http://ourbrewbot-xxxxxx.local. It has no authentication, so keep the controller on a trusted network.

Method Endpoint Description
GET /status Quick status of all fermenters
GET /fermenters All fermenter data
GET /fermenter?id=0 One fermenter
POST /fermenter Update fermenter settings
POST /fermenter/profile Profile control: start, stop, pause, next, previous
GET /profiles Fermentation profiles
POST /profile Update a fermentation profile
GET /probes All temperature probes
POST /probes Update probe settings
GET /tilts Tilt settings and live readings
POST /tilt Update Tilt settings
GET /ispindels iSpindel settings and live readings
POST /iSpindel Receives readings from an iSpindel
POST /ispindel/config Update iSpindel settings
GET /smartplugs RF smart plug settings
POST /smartplug Update a smart plug
POST /smartplug/test Send an RF on/off test
GET /controller Controller settings and plugs
POST /controller Update controller settings
GET /brewservices Brewfather / Brewer's Friend settings
POST /brewservices Update brew service settings
POST /brewservices/test Test a brew service connection
GET /mqtt MQTT settings
POST /mqtt Update MQTT settings
POST /mqtt/discover Resend Home Assistant discovery
POST /mqtt/test Test the MQTT connection
GET /syslog Syslog settings
POST /syslog Update syslog settings
GET /health Free memory, uptime, WiFi signal
GET /board_info.json Chip, firmware version and reset reason
GET /debug Debug mode and sensor overrides
POST /debug Set debug overrides (not saved)
GET /fs/files List settings files
GET /fs/file Read a settings file
POST /fs/save Save a settings file
GET /update Firmware update page
POST /update Upload new firmware
POST /wifi/reset Clear WiFi settings and reopen the setup hotspot
GET /reboot Restart the controller
GET /reset Reset all settings to defaults

The pages /admin, /rf/sniff and /ble/sniff are the admin UI, an RF code sniffer and a Bluetooth console.